%global sfcompat bash
%global sfinc %{_datadir}/shellfu/include-%{sfcompat}
%global sfmodn inigrep
%global shellfu_req shellfu >= 0.10.40, shellfu < 0.11.0

Name:       shellfu-bash-inigrep
Version:    0.11.4
Release:    1%{?dist}
Summary:    inigrep - Grep them INIs
URL:        https://gitlab.com/vornet/shellfu/shellfu-bash-inigrep
License:    LGPLv2
Source0:    %{name}-%{version}.tar.gz
BuildArch:  noarch
BuildRequires: %shellfu_req
BuildRequires: make
BuildRequires: shellfu-bash-pretty

Requires: %shellfu_req
Requires: shellfu-%{sfcompat}
Requires: shellfu-bash-pretty
%description
inigrep is a Shellfu/bash module for reading INI-like files.

%prep
%setup -q

%build
make %{?_smp_mflags} PREFIX=/usr

%install
%make_install PREFIX=/usr

%check
test -d utils/tfkit || exit 0
make test \
    SHELLFU_PATH=%{buildroot}/%{sfinc}

%files
%doc %{_docdir}/%{name}/README.md
%{sfinc}/%{sfmodn}.sh


%changelog

# specfile built with MKit 0.0.53
